package animation01;

import java.awt.*;
import java.io.*;
import javax.swing.*;

import utils.*;

/**
 * animacja z użyciem klas Thread i CardLayout
 */
public class CardPanel01 extends JPanel {
    private static final long serialVersionUID = -1708095494186169452L;
    private final CardLayout cl;
    private int frames;

    public CardPanel01() {
        cl = new CardLayout();
        setPreferredSize(new Dimension(182, 335));
        setBounds(0, 0, 182, 335);
        setLayout(cl);
        File[] files = listJPGFiles();
        frames = files.length;
        for (File file : files) {
            Card card = new Card("" + file);
            add(card, "" + file);
        }
        new Thread(() -> {
            try {
                Thread.sleep(500);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            while (frames > 0) {
                //while(true){
                CardPanel01.this.repaint();
                try {
                    cl.next(CardPanel01.this);
                    Thread.sleep(100);
                    frames--;
                } catch (Exception ignored) {
                }
            }
        }).start();
    }

    private static File[] listJPGFiles() {
        File file = new File("animation01/karty/");
        File[] files = null;
        if (file.isDirectory()) {
            FileJPGFilter fef = new FileJPGFilter(file, ".jpg");
            files = file.listFiles(fef);
        } else {
            System.out.println("Podaj nazwę katalogu z obrazkami");
        }
        return files;
    }
}
